#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n, a[3], b[3];
    scanf("%d", &n);
    for (int i = 0; i < 3; i++)
        scanf("%d%d", a + i, b + i);
    int ans = INT_MAX;
    for (int i = 0; i < 3; i++)
        ans = min(ans, (n + a[i] - 1) / a[i] * b[i]);
    printf("%d", ans);
    return 0;
}
